---
lang: en
title: 'API docs: context.contextsubscriptionmanager.subscribe'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contextsubscriptionmanager.subscribe.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextSubscriptionManager](./context.contextsubscriptionmanager.md) &gt; [subscribe](./context.contextsubscriptionmanager.subscribe.md)

## ContextSubscriptionManager.subscribe() method

Add a context event observer to the context

**Signature:**

```typescript
subscribe(observer: ContextEventObserver): Subscription;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

observer


</td><td>

[ContextEventObserver](./context.contexteventobserver.md)


</td><td>

Context observer instance or function


</td></tr>
</tbody></table>

**Returns:**

[Subscription](./context.subscription.md)


